Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.config.heuristic.selector.move
Class MoveSelectorConfig

    java.lang.Object
      org.drools.planner.config.heuristic.selector.SelectorConfig
          org.drools.planner.config.heuristic.selector.move.MoveSelectorConfig

Direct Known Subclasses:
  CartesianProductMoveSelectorConfig, ChangeMoveSelectorConfig, MoveIteratorFactoryConfig, MoveListFactoryConfig, PillarSwapMoveSelectorConfig, SubChainChangeMoveSelectorConfig, SubChainSwapMoveSelectorConfig, SwapMoveSelectorConfig, UnionMoveSelectorConfig

    public abstract class MoveSelectorConfig

extends SelectorConfig

General superclass for `ChangeMoveSelectorConfig`, etc.

Field Summary
`protected SelectionCacheType` | `cacheType`
`protected List<Class<? extends SelectionFilter>>` | `moveFilterClassList`
`protected Class<? extends SelectionProbabilityWeightFactory>` | `moveProbabilityWeightFactoryClass`
`protected SelectionOrder` | `selectionOrder`

Constructor Summary
`MoveSelectorConfig()`

Method Summary
`protected abstract MoveSelector` | `buildBaseMoveSelector(EnvironmentMode environmentMode, SolutionDescriptor solutionDescriptor, SelectionCacheType minimumCacheType, SelectionOrder resolvedSelectionOrder)`
`MoveSelector` | `buildMoveSelector(EnvironmentMode environmentMode, SolutionDescriptor solutionDescriptor, SelectionCacheType minimumCacheType, SelectionOrder inheritedSelectionOrder)`
`SelectionCacheType` | `getCacheType()`
`Double` | `getFixedProbabilityWeight()`
`List<Class<? extends SelectionFilter>>` | `getMoveFilterClassList()`
`Class<? extends SelectionProbabilityWeightFactory>` | `getMoveProbabilityWeightFactoryClass()`
`SelectionOrder` | `getSelectionOrder()`
`protected void` | `inherit(MoveSelectorConfig inheritedConfig)`
`void` | `setCacheType(SelectionCacheType cacheType)`
`void` | `setFixedProbabilityWeight(Double fixedProbabilityWeight)`
`void` | `setMoveFilterClassList(List<Class<? extends SelectionFilter>> moveFilterClassList)`
`void` | `setMoveProbabilityWeightFactoryClass(Class<? extends SelectionProbabilityWeightFactory> moveProbabilityWeightFactoryClass)`
`void` | `setSelectionOrder(SelectionOrder selectionOrder)`

Methods inherited from class org.drools.planner.config.heuristic.selector.SelectorConfig
`inherit, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cacheType

    protected SelectionCacheType cacheType

### selectionOrder

    protected SelectionOrder selectionOrder

### moveFilterClassList

    protected List<Class<? extends SelectionFilter>> moveFilterClassList

### moveProbabilityWeightFactoryClass

    protected Class<? extends SelectionProbabilityWeightFactory> moveProbabilityWeightFactoryClass

Constructor Detail

### MoveSelectorConfig

    public MoveSelectorConfig()

Method Detail

### getCacheType

    public SelectionCacheType getCacheType()

### setCacheType

    public void setCacheType(SelectionCacheType cacheType)

### getSelectionOrder

    public SelectionOrder getSelectionOrder()

### setSelectionOrder

    public void setSelectionOrder(SelectionOrder selectionOrder)

### getMoveFilterClassList

    public List<Class<? extends SelectionFilter>> getMoveFilterClassList()

### setMoveFilterClassList

    public void setMoveFilterClassList(List<Class<? extends SelectionFilter>> moveFilterClassList)

### getMoveProbabilityWeightFactoryClass

    public Class<? extends SelectionProbabilityWeightFactory> getMoveProbabilityWeightFactoryClass()

### setMoveProbabilityWeightFactoryClass

    public void setMoveProbabilityWeightFactoryClass(Class<? extends SelectionProbabilityWeightFactory> moveProbabilityWeightFactoryClass)

### getFixedProbabilityWeight

    public Double getFixedProbabilityWeight()

### setFixedProbabilityWeight

    public void setFixedProbabilityWeight(Double fixedProbabilityWeight)

### buildMoveSelector

    public MoveSelector buildMoveSelector(EnvironmentMode environmentMode,
                                          SolutionDescriptor solutionDescriptor,
                                          SelectionCacheType minimumCacheType,
                                          SelectionOrder inheritedSelectionOrder)

  Parameters:
    `environmentMode` - never null
    `solutionDescriptor` - never null
    `minimumCacheType` - never null, If caching is used (different from `SelectionCacheType.JUST_IN_TIME`), then it should be at least this `SelectionCacheType` because an ancestor already uses such caching and less would be pointless.
    `inheritedSelectionOrder` - never null
  Returns:
    never null

### buildBaseMoveSelector

    protected abstract MoveSelector buildBaseMoveSelector(EnvironmentMode environmentMode,
                                                          SolutionDescriptor solutionDescriptor,
                                                          SelectionCacheType minimumCacheType,
                                                          SelectionOrder resolvedSelectionOrder)

  Parameters:
    `environmentMode` - never null
    `solutionDescriptor` - never null
    `minimumCacheType` - never null, If caching is used (different from `SelectionCacheType.JUST_IN_TIME`), then it should be at least this `SelectionCacheType` because an ancestor already uses such caching and less would be pointless.
    `resolvedSelectionOrder` - never null
  Returns:
    never null

### inherit

    protected void inherit(MoveSelectorConfig inheritedConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.